Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Framebuffer device maintenance program
Name:      	fbset
Version:   	2.1
Release:   	1
Provides:	fbset
License: 	GNU/GPL
URL:		NONE
Group:     	System/Configuration/Hardware
Source0: 	fbset-%{version}.tar.gz
Patch0:		fbset_2.1-16.diff
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Framebuffer device maintenance program

%prep
%setup -n fbset-%{version}
%patch0 -p1

%build
make

%install
install -m 755 -d $RPM_BUILD_ROOT/%_prefix/sbin
install -m 755 -d $RPM_BUILD_ROOT/%_mandir/man8
install -m 755 -d $RPM_BUILD_ROOT/%_mandir/man5
install -m 755 fbset $RPM_BUILD_ROOT/usr/sbin
install -m 644 fbset.8 $RPM_BUILD_ROOT/usr/share/man/man8
install -m 644 fb.modes.5 $RPM_BUILD_ROOT/usr/share/man/man5
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_prefix/sbin/fbset
%_mandir/man8/fbset.8.gz
%_mandir/man5/fb.modes.5.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 25 2005 Christian Metzen <metzench@ccux-linux.de> 2.1-1
- Initial Release